﻿<!DOCTYPE html>
<html>
<head>
    <title>Nali - N100 LoRa Tag Performance Test</title>
</head>
<body>

    <h1 id="nali-n100-lora-tag-performance-test">Nali - N100 LoRa Tag Performance Test</h1>
<p>The Flex application provides functions for testing the various performance aspects of the
Nali N100.</p>
<h2 id="instructions">Instructions</h2>
<ol>
<li>Follow the instructions <a href="../../../firmware/OTA/README.md"><strong>here</strong></a> to install the perf_test.amx.bin file.</li>
<li>The perf test source code is in <a href="perf_test.p">perf_test.p</a>, it can be modified to suit your additional needs.</li>
</ol>
<h2 id="performance-test-user-interface-description">Performance Test User Interface Description</h2>
<h3 id="normal-operating-mode">Normal Operating Mode</h3>
<p>Normal operating mode is entered when the device boots.</p>
<p><strong>Operating Mode Button Descriptions</strong></p>
<table>
<thead>
<tr>
<th>Button 1</th>
<th>Button 2</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>1 quick press or 3 to 6 presses</td>
<td></td>
<td>Sends either location message or telemetry depending upon mode.</td>
</tr>
<tr>
<td>2 quick press</td>
<td></td>
<td>Indicates battery level (see Battery indicator below)</td>
</tr>
<tr>
<td>1 long press (&gt; 1.5 sec.)</td>
<td></td>
<td>Activates / Deactivates Auto Send (max 10,000 cycles).</td>
</tr>
<tr>
<td>1 very long press</td>
<td></td>
<td>Toggles location configuration mode (see Location Configuration Mode below).</td>
</tr>
<tr>
<td></td>
<td>1,2,3, ... quick presses</td>
<td>Auto Interval: 30 sec. (1), 1 min (2), 2 min (3), 5 min(4), 20 min (5), 30 min (6), 1 hr (7), 2 hr (8), 10 hr (9). The default is 5 minutes (4 clicks).</td>
</tr>
<tr>
<td></td>
<td>1 long press (&gt;1.5 sec.)</td>
<td>Toggles data mode between sending location data (default) and test messages.</td>
</tr>
<tr>
<td></td>
<td>1 very long press (&gt; 5 seconds)</td>
<td>Reads temperature</td>
</tr>
<tr>
<td>&gt;15 sec. press</td>
<td></td>
<td>Resets the device.</td>
</tr>
</tbody>
</table>
<p><strong>Operating Mode Button Descriptions</strong></p>
<table>
<thead>
<tr>
<th>LED #1</th>
<th>LED #2</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Blue blink three times</td>
<td>Blue blink three times</td>
<td>Device restarted</td>
</tr>
<tr>
<td>Purple blink five(5) times</td>
<td>Purple blink five(5) times</td>
<td>Enter location configuration mode (see below)</td>
</tr>
<tr>
<td>Red blink three times</td>
<td></td>
<td>Input invalid.</td>
</tr>
<tr>
<td>Blue blink twice</td>
<td></td>
<td>Auto send activated.</td>
</tr>
<tr>
<td>Red blink twice</td>
<td></td>
<td>Auto send deactivated.</td>
</tr>
<tr>
<td>Blue blink once</td>
<td></td>
<td>Send location report.</td>
</tr>
<tr>
<td>Orange blink N times</td>
<td></td>
<td>Send N test messages</td>
</tr>
<tr>
<td></td>
<td>Blue blink twice</td>
<td>Location data reporting mode set</td>
</tr>
<tr>
<td></td>
<td>Purple blink twice</td>
<td>Test message reporting mode set</td>
</tr>
<tr>
<td></td>
<td>Purple slow blink every 10 sec.</td>
<td>Battery is charging.</td>
</tr>
<tr>
<td></td>
<td>Blue slow blink every 10 sec.</td>
<td>Battery is charged.</td>
</tr>
<tr>
<td></td>
<td>Four(4) red blinks every two minutes</td>
<td>Battery is nearly dead, place tag on charger</td>
</tr>
</tbody>
</table>
<p><strong>Battery Indicator</strong></p>
<p>Quickly pressing Button #1 twice will indicate the percent charge of the battery in 20% increments.</p>
<p>LED #2 will blink as follows to indicate percent charge.</p>
<table>
<thead>
<tr>
<th>LED #2</th>
<th>% Charge</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>1 red</td>
<td>&lt; 5%</td>
<td>Battery level is critical,  charge immediately.</td>
</tr>
<tr>
<td>1 blue</td>
<td>5%  - 30%</td>
<td>Battery low  less than 30% remaining.</td>
</tr>
<tr>
<td>2 blue</td>
<td>30% - 50%</td>
<td>Battery is about 40% charged.</td>
</tr>
<tr>
<td>3 blue</td>
<td>50% - 70%</td>
<td>Battery is about 60% charged.</td>
</tr>
<tr>
<td>4 blue</td>
<td>70% - 90%</td>
<td>Battery  is about 80% charged.</td>
</tr>
<tr>
<td>5 blue</td>
<td>&gt; 90%</td>
<td>Battery is fully charged.</td>
</tr>
</tbody>
</table>
<h3 id="location-configuration-mode">Location Configuration Mode</h3>
<p>Enables specification of the location measurement reporting mode.  Device
can be configured to test various performance and measurement modes.  To enter location
configuration mode, press button #1 for longer than 5 seconds.  When released, the LEDs should
blink purple 5 times.</p>
<p><strong>Location Configuration Mode Button Descriptions</strong></p>
<table>
<thead>
<tr>
<th>Button 1</th>
<th>Button 2</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>1 long press</td>
<td></td>
<td>Exit location configuration mode (see leds for feedback).</td>
</tr>
<tr>
<td>1 quick press</td>
<td></td>
<td>Default performance mode (coarse for best battery life)</td>
</tr>
<tr>
<td>2 quick press</td>
<td></td>
<td>Coarse performance mode</td>
</tr>
<tr>
<td>3 quick press</td>
<td></td>
<td>Medium performance mode</td>
</tr>
<tr>
<td>4 quick press</td>
<td></td>
<td>Best performance mode</td>
</tr>
<tr>
<td></td>
<td>1 long presss</td>
<td>Indicate location mode (performance first, then tech)</td>
</tr>
<tr>
<td></td>
<td>1 quick press</td>
<td>Default measurement mode (WiFi and BLE)</td>
</tr>
<tr>
<td></td>
<td>2 quick press</td>
<td>WiFi only measurement mode</td>
</tr>
<tr>
<td></td>
<td>3 quick press</td>
<td>BLE only measurement mode</td>
</tr>
<tr>
<td></td>
<td>4 quick press</td>
<td>WIFI and BLE measurement mode</td>
</tr>
</tbody>
</table>
<p><strong>Location Configuration Mode LED Descriptions</strong></p>
<table>
<thead>
<tr>
<th>LED #1</th>
<th>LED #2</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Blue blink five(5) times</td>
<td>Blue blink five(5) times</td>
<td>Exit location configuration mode</td>
</tr>
<tr>
<td>N blue blinks</td>
<td></td>
<td>Indicates performance mode: 1-default, ... 4-best</td>
</tr>
<tr>
<td></td>
<td>N blue blinks</td>
<td>Indicates measurement mode: 1-default, ... 4-WiFi/BLE</td>
</tr>
<tr>
<td>Red blink three times</td>
<td></td>
<td>Input invalid.</td>
</tr>
</tbody>
</table>
<hr />
<p><em>Copyright 2019-2020, Codepoint Technologies,</em>
<em>All Rights Reserved</em></p>


</body>
</html>